SigIObjectIdentifiers (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.x509.sigi

## Interface SigIObjectIdentifiers

-     public interface SigIObjectIdentifiers

  Object Identifiers of SigI specifciation (German Signature Law Interoperability specification).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `id_sigi` OID: 1.3.36.8
    `static ASN1ObjectIdentifier` | `id_sigi_cp` Certificate policy IDs for German SigI (Signature Interoperability Specification) OID: 1.3.36.8.1
    `static ASN1ObjectIdentifier` | `id_sigi_cp_sigconform` Certificate is conformant to german signature law.
    `static ASN1ObjectIdentifier` | `id_sigi_kp` Key purpose IDs for German SigI (Signature Interoperability Specification) OID: 1.3.36.8.2
    `static ASN1ObjectIdentifier` | `id_sigi_kp_directoryService` To be used for for the generation of directory service certificates.
    `static ASN1ObjectIdentifier` | `id_sigi_on` Other Name IDs for German SigI (Signature Interoperability Specification) OID: 1.3.36.8.4
    `static ASN1ObjectIdentifier` | `id_sigi_on_personalData` ID for PersonalData OID: 1.3.36.8.4.1

- - ### Field Detail

    - #### id_sigi

          static final ASN1ObjectIdentifier id_sigi

      OID: 1.3.36.8

    - #### id_sigi_kp

          static final ASN1ObjectIdentifier id_sigi_kp

      Key purpose IDs for German SigI (Signature Interoperability Specification)

      OID: 1.3.36.8.2

    - #### id_sigi_cp

          static final ASN1ObjectIdentifier id_sigi_cp

      Certificate policy IDs for German SigI (Signature Interoperability Specification)

      OID: 1.3.36.8.1

    - #### id_sigi_on

          static final ASN1ObjectIdentifier id_sigi_on

      Other Name IDs for German SigI (Signature Interoperability Specification)

      OID: 1.3.36.8.4

    - #### id_sigi_kp_directoryService

          static final ASN1ObjectIdentifier id_sigi_kp_directoryService

      To be used for for the generation of directory service certificates.

      OID: 1.3.36.8.2.1

    - #### id_sigi_on_personalData

          static final ASN1ObjectIdentifier id_sigi_on_personalData

      ID for PersonalData

      OID: 1.3.36.8.4.1

    - #### id_sigi_cp_sigconform

          static final ASN1ObjectIdentifier id_sigi_cp_sigconform

      Certificate is conformant to german signature law.

      OID: 1.3.36.8.1.1